const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const restaurant_inventory = sequelize.define(
    'restaurant_inventory',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name: {
        type: DataTypes.TEXT,
      
      

      },

quantity_received: {
        type: DataTypes.INTEGER,
      
      

      },

quantity_kg: {
        type: DataTypes.DECIMAL,
      
      

      },

shortage: {
        type: DataTypes.INTEGER,
      
      

      },

last_supply_date: {
        type: DataTypes.DATE,
      
      

      },

unit: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  restaurant_inventory.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity














































//end loop






    db.restaurant_inventory.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.restaurant_inventory.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return restaurant_inventory;
};


